OpenMesh

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Public Types | Public Member Functions | Friends | List of all members
OpenMesh::Iterators::GenericCirculatorT< Mesh, CenterEntityHandle, ValueHandle, Handle2Value > Class Template Reference
Inheritance diagram for OpenMesh::Iterators::GenericCirculatorT< Mesh, CenterEntityHandle, ValueHandle, Handle2Value >:
[legend]
Collaboration diagram for OpenMesh::Iterators::GenericCirculatorT< Mesh, CenterEntityHandle, ValueHandle, Handle2Value >:
[legend]

## Public Types
typedef std::ptrdiff_t | difference_type
typedef ValueHandle | value_type
typedef const value_type & | reference
typedef const value_type * | pointer
typedef std::bidirectional_iterator_tag | iterator_category
typedef GenericCirculatorBaseT < Mesh >::mesh_ptr | mesh_ptr
typedef GenericCirculatorBaseT < Mesh >::mesh_ref | mesh_ref
typedef GenericCirculator_ValueHandleFnsT < Mesh, CenterEntityHandle, ValueHandle > | GenericCirculator_ValueHandleFns

## Public Member Functions
| GenericCirculatorT (mesh_ref mesh, CenterEntityHandle start, bool end=false)
| GenericCirculatorT (mesh_ref mesh, HalfedgeHandle heh, bool end=false)
| GenericCirculatorT (const GenericCirculatorT &rhs)
GenericCirculatorT & | operator++ ()
GenericCirculatorT & | operator-- ()
GenericCirculatorT | operator++ (int)
| Post-increment.
GenericCirculatorT | operator-- (int)
| Post-decrement.
value_type | operator* () const
| Standard dereferencing operator.
pointer | operator-> () const
| Pointer dereferentiation. More...
GenericCirculatorT & | operator= (const GenericCirculatorT &rhs)
bool | operator== (const GenericCirculatorT &rhs) const
bool | operator!= (const GenericCirculatorT &rhs) const
bool | is_valid () const
const HalfedgeHandle & | current_halfedge_handle () const
| operator bool () const
value_type | handle () const
| Return the handle of the current target. More...
| operator value_type () const
| Cast to the handle of the current target. More...

## Friends
template<typename STREAM >
STREAM & | operator<< (STREAM &s, const GenericCirculatorT &self)

## Additional Inherited Members
Protected Types inherited from OpenMesh::Iterators::GenericCirculatorBaseT< Mesh >
typedef const Mesh * | mesh_ptr
typedef const Mesh & | mesh_ref
Protected Member Functions inherited from OpenMesh::Iterators::GenericCirculatorBaseT< Mesh >
| GenericCirculatorBaseT (mesh_ref mesh, HalfedgeHandle heh, bool end=false)
| GenericCirculatorBaseT (const GenericCirculatorBaseT &rhs)
Mesh::FaceHandle | toFaceHandle () const
Mesh::FaceHandle | toOppositeFaceHandle () const
Mesh::EdgeHandle | toEdgeHandle () const
Mesh::HalfedgeHandle | toHalfedgeHandle () const
Mesh::HalfedgeHandle | toOppositeHalfedgeHandle () const
Mesh::VertexHandle | toVertexHandle () const
GenericCirculatorBaseT & | operator= (const GenericCirculatorBaseT &rhs)
bool | operator== (const GenericCirculatorBaseT &rhs) const
bool | operator!= (const GenericCirculatorBaseT &rhs) const
Protected Attributes inherited from OpenMesh::Iterators::GenericCirculatorBaseT< Mesh >
mesh_ptr | mesh_
Mesh::HalfedgeHandle | start_
Mesh::HalfedgeHandle | heh_
int | lap_counter_

## Member Function Documentation

template<class Mesh , class CenterEntityHandle , class ValueHandle , ValueHandle(GenericCirculatorBaseT< Mesh >::*)() const Handle2Value>

const HalfedgeHandle& OpenMesh::Iterators::GenericCirculatorT< Mesh, CenterEntityHandle, ValueHandle, Handle2Value >::current_halfedge_handle | ( |  | ) | const
| inline

Deprecated:
  current_halfedge_handle() is an implementation detail and should not be accessed from outside the iterator class.

template<class Mesh , class CenterEntityHandle , class ValueHandle , ValueHandle(GenericCirculatorBaseT< Mesh >::*)() const Handle2Value>

value_type OpenMesh::Iterators::GenericCirculatorT< Mesh, CenterEntityHandle, ValueHandle, Handle2Value >::handle | ( |  | ) | const
| inline

Return the handle of the current target.

Deprecated:
  This function clutters your code. Use dereferencing operators -> and * instead.

template<class Mesh , class CenterEntityHandle , class ValueHandle , ValueHandle(GenericCirculatorBaseT< Mesh >::*)() const Handle2Value>

OpenMesh::Iterators::GenericCirculatorT< Mesh, CenterEntityHandle, ValueHandle, Handle2Value >::operator bool | ( |  | ) | const
| inline

Deprecated:
  Do not use this error prone implicit cast. Compare to the end-iterator or use is_valid() instead.

template<class Mesh , class CenterEntityHandle , class ValueHandle , ValueHandle(GenericCirculatorBaseT< Mesh >::*)() const Handle2Value>

OpenMesh::Iterators::GenericCirculatorT< Mesh, CenterEntityHandle, ValueHandle, Handle2Value >::operator value_type | ( |  | ) | const
| inline

Cast to the handle of the current target.

Deprecated:
  Implicit casts of iterators are unsafe. Use dereferencing operators -> and * instead.

template<class Mesh , class CenterEntityHandle , class ValueHandle , ValueHandle(GenericCirculatorBaseT< Mesh >::*)() const Handle2Value>

pointer OpenMesh::Iterators::GenericCirculatorT< Mesh, CenterEntityHandle, ValueHandle, Handle2Value >::operator-> | ( |  | ) | const
| inline

Pointer dereferentiation.

This returns a pointer which points to a handle that loses its validity once this dereferentiation is invoked again. Thus, do not store the result of this operation.

The documentation for this class was generated from the following file:

- OpenMesh/Core/Mesh/CirculatorsT.hh